#
# Conditional build:
%bcond_with	tests	# perform "make test" (requires running pcscd)
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Chipcard
%define	pnam	PCSC
Summary:	Perl interface to the PC/SC smart card library
Summary(pl.UTF-8):	Interfejs perlowy do biblioteki PC/SC
Name:		perl-PCSC
Version:	1.4.13
Release:	1
License:	GPL v2+
Group:		Development/Languages/Perl
Source0:	http://ludovic.rousseau.free.fr/softwares/pcsc-perl/pcsc-perl-%{version}.tar.bz2
# Source0-md5:	758ca469b79667fa8c41422df86a088b
URL:		http://ludovic.rousseau.free.fr/softwares/pcsc-perl/
BuildRequires:	pcsc-lite-devel >= 1.6.0
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	pkgconfig
BuildRequires:	rpm-perlprov
# it's dlopened, so not autodetected
Requires:	pcsc-lite-libs >= 1.6.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The PCSC module implements the PCSC class, Perl interface to the PC/SC
smart card library. Objects of this class are used to communicate with
the PCSC-lite daemon (pcscd(1)). PC/SC represents an abstraction layer
to smartcard readers. It provides a communication layer with a wide
variety of smart card readers through a standardized API.

%description -l pl.UTF-8
Moduł PCSC zawiera implementację klasy PCSC, perlowego interfejsu do
biblioteki PC/SC obsługującej czytniki kart Smart. Obiekty tej klasy
służą do komunikacji z demonem PCSC (pcscd(1)). Biblioteka PC/SC
stanowi abstrakcyjną warstwę dla czytników kart Smart. Udostępnia ona,
za pośrednictwem zestandaryzowanego API, warstwę komunikacyjną dla
wielu różnych czytników kart Smart.

%prep
%setup -q -n pcsc-perl-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make} \
	CC="%{__cc}" \
	DEFINE="-Wall" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install examples/* test/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
rm -f $RPM_BUILD_ROOT%{perl_vendorarch}/Chipcard/{PCSC.pod,PCSC/Card.pod}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changelog README
%dir %{perl_vendorarch}/Chipcard
%{perl_vendorarch}/Chipcard/PCSC.pm
%dir %{perl_vendorarch}/Chipcard/PCSC
%{perl_vendorarch}/Chipcard/PCSC/Card.pm
%dir %{perl_vendorarch}/auto/Chipcard
%dir %{perl_vendorarch}/auto/Chipcard/PCSC
%{perl_vendorarch}/auto/Chipcard/PCSC/PCSC.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Chipcard/PCSC/PCSC.so
%{_mandir}/man3/Chipcard::PCSC*.3pm*
%dir %{_examplesdir}/%{name}-%{version}
%attr(755,root,root) %{_examplesdir}/%{name}-%{version}/*.pl
%{_examplesdir}/%{name}-%{version}/gsm.script
%changelog
* Tue Jun 18 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-PCSC.git;a=log;h=master

* Tue Jun 18 2013 Jakub Bogusz <qboosh@pld-linux.org> 347edec
- updated to 1.4.13

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 1f50dab
- rebuild with perl 5.18.0
- release 2 (by relup.sh)

* Fri Mar 18 2011 Jakub Bogusz <qboosh@pld-linux.org> 6ede3a2
- updated to 1.4.12

* Sat Nov 13 2010 Jakub Bogusz <qboosh@pld-linux.org> f7e46f7
- updated to 1.4.11
- removed obsolete update patch

* Sun Aug 08 2010 Jakub Bogusz <qboosh@pld-linux.org> b4d5a09
- updated to 1.4.9
- added update patch to compile with current pcsc-lite

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> ea88f9b
- release 2

* Thu May 13 2010 sparky <sparky@pld-linux.org> 0858c82
- BR: pkgconfig

* Wed Mar 03 2010 amateja <amateja@pld-linux.org> 43a426d
- updated to 1.4.8

* Sat May 31 2008 Jakub Bogusz <qboosh@pld-linux.org> 37058f1
- updated to 1.4.7

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 6137922
- rel 2

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> ee44777
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

* Thu Jun 14 2007 Jakub Bogusz <qboosh@pld-linux.org> d8d4491
- updated to 1.4.6

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 9f9ac1f
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> b03c4d1
- converted to UTF-8

* Fri Aug 18 2006 Jakub Bogusz <qboosh@pld-linux.org> a92599e
- updated to 1.4.4

* Mon May 22 2006 Jakub Bogusz <qboosh@pld-linux.org> a35ad1c
- updated to 1.4.3

* Sun May 21 2006 Elan Ruusamäe <glen@pld-linux.org> c47cdf8
- define pdir/pman for clean files automatics

* Mon Mar 06 2006 Jakub Bogusz <qboosh@pld-linux.org> 325e5f9
- merged from DEVEL

* Thu Aug 26 2004 Jakub Bogusz <qboosh@pld-linux.org> cade237
- perl deps

* Tue Jun 22 2004 Jakub Bogusz <qboosh@pld-linux.org> e89c985
- fixed dup

